<?php
/* @var $this LogController */
/* @var $model Log */

$this->breadcrumbs=array(
	'Logs'=>array('admin'),
	Yii::t('admin', 'Manage'),
);

$this->menu=array(
array('label'=>'Manage Log', 'url'=>array('admin')),
array('label'=>'Create Log', 'url'=>array('create')),
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
$('.search-form').toggle();
return false;
});
$('.search-form form').submit(function(){
$('#log-grid').yiiGridView('update', {
data: $(this).serialize()
});
return false;
});
");
?>
<div class="page-header">
    <h1>
        <?php echo Yii::t("admin", "Manage Logs"); ?>        
		<?php //echo CHtml::link(Yii::t("admin", "Create Log"), array("create"), array("class" => "btn btn-sm btn-primary pull-right")); ?>    </h1>
</div>

<!--<p>
You may optionally enter a comparison operator (<b>&lt;</b>, <b>&lt;=</b>, <b>&gt;</b>, <b>&gt;=</b>, <b>&lt;&gt;</b>
or <b>=</b>) at the beginning of each of your search values to specify how the comparison should be done.
</p>-->

<?php echo CHtml::link('Advanced Search','#',array('class'=>'search-button btn btn-xs')); ?>
<div class="search-form display-none">
    <?php $this->renderPartial('_search',array(
	'model'=>$model,
)); ?>
</div><!-- search-form -->

<?php $this->widget('ext.widgets.FGridView', array(
'id'=>'log-grid',
'dataProvider'=>$model->search(),
'filter'=>$model,
'columns'=>array(
		'id',
		'object_type',
		
		array(
		'name'=>'object_id',
		'value'=>'$data->getTitle()',
		),
		//'object_id',
		'opration',
		// 'user_id',

array('name' => 'user_id',
      'value' => '$data->getUserName($data->user_id)',
	  ),
		

		// 'old_value',
		
	'date',
		
array(
'class'=>'CButtonColumn',
'template'=>'{view}',
),
),
)); ?>
